Package ru.bitel.bgbilling.modules.bill.client.bean

# Class BGBillTablePos

java.lang.Object
ru.bitel.bgbilling.modules.bill.client.bean.BGBillTablePos

public class BGBillTablePos extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `awlz`
  `boolean`
  `inSum`
  `int`
  `qtynums`
  `int`
  `qtynumsRnd`
  `BigDecimal`
  `sumUnscaled`
  `String`
  `unitCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGBillTablePos()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGBillTablePos`
  `clone()`
  `void`
  `fromElement(Element item)`
  `void`
  `fromElement(Attributes item)`
  `String`
  `getName()`
  `int`
  `getPositionId()`
  `BigDecimal`
  `getQuantity()`
  `BigDecimal`
  `getSum()`
  `String`
  `getUnit()`
  `BGBillTablePos`
  `setAwlz(boolean awlz)`
  `BGBillTablePos`
  `setInSum(boolean inSum)`
  `BGBillTablePos`
  `setModuleId(int moduleId)`
  `BGBillTablePos`
  `setName(String name)`
  `BGBillTablePos`
  `setPositionId(int positionId)`
  `BGBillTablePos`
  `setQtynums(int qtynums)`
  `BGBillTablePos`
  `setQtynumsRnd(int qtynumsRnd)`
  `BGBillTablePos`
  `setQuantity(BigDecimal quantity)`
  `BGBillTablePos`
  `setServiceId(int serviceId)`
  `BGBillTablePos`
  `setSum(BigDecimal sum)`
  `BGBillTablePos`
  `setSumUnscaled(BigDecimal sumUnscaled)`
  `BGBillTablePos`
  `setUnit(String unit)`
  `BGBillTablePos`
  `setUnitCode(String unitCode)`
  `void`
  `toElement(XMLStreamWriter item)`
  `void`
  `toElement(Element item)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sumUnscaled

    public BigDecimal sumUnscaled

  - ### qtynums

    public int qtynums

  - ### qtynumsRnd

    public int qtynumsRnd

  - ### unitCode

    public String unitCode

  - ### inSum

    public boolean inSum

  - ### awlz

    public boolean awlz

- ## Constructor Details

  - ### BGBillTablePos

    public BGBillTablePos()

- ## Method Details

  - ### fromElement

    public void fromElement(Element item)

  - ### fromElement

    public void fromElement(Attributes item)

  - ### toElement

    public void toElement(Element item)

  - ### toElement

    public void toElement(XMLStreamWriter item) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### clone

    public BGBillTablePos clone()
    Overrides:
      `clone` in class `Object`

  - ### getPositionId

    public int getPositionId()

  - ### setPositionId

    public BGBillTablePos setPositionId(int positionId)

  - ### getName

    public String getName()

  - ### setName

    public BGBillTablePos setName(String name)

  - ### setSum

    public BGBillTablePos setSum(BigDecimal sum)

  - ### getSum

    public BigDecimal getSum()

  - ### setQuantity

    public BGBillTablePos setQuantity(BigDecimal quantity)

  - ### getQuantity

    public BigDecimal getQuantity()

  - ### setUnit

    public BGBillTablePos setUnit(String unit)

  - ### getUnit

    public String getUnit()

  - ### setQtynums

    public BGBillTablePos setQtynums(int qtynums)

  - ### setQtynumsRnd

    public BGBillTablePos setQtynumsRnd(int qtynumsRnd)

  - ### setSumUnscaled

    public BGBillTablePos setSumUnscaled(BigDecimal sumUnscaled)

  - ### setUnitCode

    public BGBillTablePos setUnitCode(String unitCode)

  - ### setInSum

    public BGBillTablePos setInSum(boolean inSum)

  - ### setAwlz

    public BGBillTablePos setAwlz(boolean awlz)

  - ### setServiceId

    public BGBillTablePos setServiceId(int serviceId)

  - ### setModuleId

    public BGBillTablePos setModuleId(int moduleId)